- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_get_property_request_t Struct Reference
[XCB API]

xcb_get_property_request_t More...

`#include <xproto.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | _delete
uint16_t | length
xcb_window_t | window
xcb_atom_t | property
xcb_atom_t | type
uint32_t | long_offset
uint32_t | long_length

## Detailed Description

xcb_get_property_request_t

## Field Documentation

uint8_t xcb_get_property_request_t::major_opcode

uint8_t xcb_get_property_request_t::_delete

uint16_t xcb_get_property_request_t::length

xcb_window_t xcb_get_property_request_t::window

xcb_atom_t xcb_get_property_request_t::property

xcb_atom_t xcb_get_property_request_t::type

uint32_t xcb_get_property_request_t::long_offset

uint32_t xcb_get_property_request_t::long_length

The documentation for this struct was generated from the following file:

- xproto.h